groovy.util

## Class ObservableList.ElementEvent

- java.lang.Object
- - java.util.EventObject
  - - java.beans.PropertyChangeEvent
    - - groovy.util.ObservableList.ElementEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ObservableList.ElementAddedEvent, ObservableList.ElementClearedEvent, ObservableList.ElementRemovedEvent, ObservableList.ElementUpdatedEvent, ObservableList.MultiElementAddedEvent, ObservableList.MultiElementRemovedEvent
  Enclosing class:
    ObservableList

      public abstract static class ObservableList.ElementEvent
      extends java.beans.PropertyChangeEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservableList.ElementEvent(java.lang.Object source, java.lang.Object oldValue, java.lang.Object newValue, int index, ObservableList.ChangeType type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObservableList.ChangeType` | `getChangeType()`
    `int` | `getIndex()`
    `int` | `getType()`
    `java.lang.String` | `getTypeAsString()`

    - ### Methods inherited from class java.beans.PropertyChangeEvent

      `getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObservableList.ElementEvent

          public ObservableList.ElementEvent(java.lang.Object source,
                                     java.lang.Object oldValue,
                                     java.lang.Object newValue,
                                     int index,
                                     ObservableList.ChangeType type)

  - ### Method Detail

    - #### getIndex

          public int getIndex()

    - #### getType

          public int getType()

    - #### getChangeType

          public ObservableList.ChangeType getChangeType()

    - #### getTypeAsString

          public java.lang.String getTypeAsString()